FeatureModel (MaltParser 1.4.1)
Date: 2010-07-15

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.maltparser.core.feature
Class FeatureModel

    java.lang.Object
      java.util.AbstractMap<K,V>
          java.util.HashMap<String,FeatureVector>
              org.maltparser.core.feature.FeatureModel

All Implemented Interfaces:
  Serializable, Cloneable, Map<String,FeatureVector>

    public class FeatureModel

extends HashMap<String,FeatureVector>

Author:
  Johan Hall
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class java.util.AbstractMap
`AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

Field Summary
`protected ArrayList<AddressFunction>` | `addressFunctionCache`
`protected FeatureEngine` | `featureEngine`
`protected ArrayList<FeatureFunction>` | `featureFunctionCache`
`protected FeatureVector` | `mainFeatureVector`
`protected ConfigurationRegistry` | `registry`
`static long` | `serialVersionUID`
`protected SpecificationModel` | `specModel`
`protected Pattern` | `splitPattern`

Constructor Summary
`FeatureModel(SpecificationModel specModel, ConfigurationRegistry registry, FeatureEngine engine)`

Method Summary
`ArrayList<AddressFunction>` | `getAddressFunctionCache()`
`FeatureEngine` | `getFeatureEngine()`
`ArrayList<FeatureFunction>` | `getFeatureFunctionCache()`
`FeatureVector` | `getFeatureVector(String subModelName)`
`FeatureVector` | `getMainFeatureVector()`
`ConfigurationRegistry` | `getRegistry()`
`SpecificationModel` | `getSpecModel()`
`FeatureFunction` | `identifyFeature(String spec)`
`protected void` | `identifyFeatureFunction(Stack<Object> objects)`
`protected void` | `initializeFunction(Function function, Stack<Object> objects)`
`void` | `setFeatureEngine(FeatureEngine featureEngine)`
`void` | `setRegistry(ConfigurationRegistry registry)`
`void` | `setSpecModel(SpecificationModel specModel)`
`String` | `toString()`
`void` | `update()`
`void` | `update(Object[] arguments)`
`void` | `updateCardinality()`

Methods inherited from class java.util.HashMap
`clear, clone, containsKey, containsValue, entrySet, get, isEmpty, keySet, put, putAll, remove, size, values`

Methods inherited from class java.util.AbstractMap
`equals, hashCode`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Map
`equals, hashCode`

Field Detail

### serialVersionUID

    public static final long serialVersionUID

See Also:
  Constant Field Values

### specModel

    protected SpecificationModel specModel

### addressFunctionCache

    protected final ArrayList<AddressFunction> addressFunctionCache

### featureFunctionCache

    protected final ArrayList<FeatureFunction> featureFunctionCache

### registry

    protected ConfigurationRegistry registry

### featureEngine

    protected FeatureEngine featureEngine

### mainFeatureVector

    protected FeatureVector mainFeatureVector

### splitPattern

    protected final Pattern splitPattern

Constructor Detail

### FeatureModel

    public FeatureModel(SpecificationModel specModel,
                        ConfigurationRegistry registry,
                        FeatureEngine engine)
                 throws MaltChainedException

Throws:
  `MaltChainedException`

Method Detail

### getSpecModel

    public SpecificationModel getSpecModel()

### setSpecModel

    public void setSpecModel(SpecificationModel specModel)

### getAddressFunctionCache

    public ArrayList<AddressFunction> getAddressFunctionCache()

### getFeatureFunctionCache

    public ArrayList<FeatureFunction> getFeatureFunctionCache()

### getRegistry

    public ConfigurationRegistry getRegistry()

### setRegistry

    public void setRegistry(ConfigurationRegistry registry)

### getFeatureEngine

    public FeatureEngine getFeatureEngine()

### setFeatureEngine

    public void setFeatureEngine(FeatureEngine featureEngine)

### getMainFeatureVector

    public FeatureVector getMainFeatureVector()

### getFeatureVector

    public FeatureVector getFeatureVector(String subModelName)

### update

    public void update()
                throws MaltChainedException

  Throws:
    `MaltChainedException`

### update

    public void update(Object[] arguments)
                throws MaltChainedException

  Throws:
    `MaltChainedException`

### updateCardinality

    public void updateCardinality()
                           throws MaltChainedException

  Throws:
    `MaltChainedException`

### identifyFeature

    public FeatureFunction identifyFeature(String spec)
                                    throws MaltChainedException

  Throws:
    `MaltChainedException`

### identifyFeatureFunction

    protected void identifyFeatureFunction(Stack<Object> objects)
                                    throws MaltChainedException

  Throws:
    `MaltChainedException`

### initializeFunction

    protected void initializeFunction(Function function,
                                      Stack<Object> objects)
                               throws MaltChainedException

  Throws:
    `MaltChainedException`

### toString

    public String toString()

  Overrides:
    `toString` in class `AbstractMap<String,FeatureVector>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2007-2010 Johan Hall, Jens Nilsson and Joakim Nivre.